### Class

# Gtk Separator

#### Description [src]

    final class Gtk.Separator : Gtk.Widget {
      /* No available fields */
    }

`GtkSeparator` is a horizontal or vertical separator widget.

A `GtkSeparator` can be used to group the widgets within a window. It displays a line with a shadow to make it appear sunken into the interface.

# CSS nodes

`GtkSeparator` has a single CSS node with name separator. The node gets one of the .horizontal or .vertical style classes.

# Accessibility

`GtkSeparator` uses the `GTK_ACCESSIBLE_ROLE_SEPARATOR` role.

#### Hierarchy

#### Ancestors

- GtkWidget
- GInitiallyUnowned
- GObject

#### Implements

- GtkAccessible
- GtkBuildable
- GtkConstraintTarget
- GtkOrientable

#### Constructors

###### gtk_separator_new

Creates a new `GtkSeparator` with the given orientation.